{*************
 *
 * Project....: Experiences and Examples
 * File.......: Main.pas
 * Created by : Anton A. Mints
 * Date.......: 1 December 1996
 * Purpose....: Example of TCEOTabControl using
 *
 * $Archive: /delphi experiences/tcontrol with pictures/main.pas $
 *
 * $History: main.pas $
 *
 * *****************  Version 1  *****************
 * User: Anton        Date: 12/21/96   Time: 8:37p
 * Created in $/delphi experiences/tcontrol with pictures
 * My own developed cool component
 *
 *************}

unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Tabs, ComCtrls, CommCtrl, StdCtrls, RichEdit, Buttons, ATabCtrl;

type
  TForm1 = class(TForm)
    TabControl1: TCEOTabControl;
    BitBtn2: TBitBtn;
    ImageList1: TImageList;
    btnTurn: TButton;
    btnDemo: TButton;
    procedure BitBtn1Click(Sender: TObject);
    procedure TabControl1DrawTab(Sender: TObject; TabCanvas: TCanvas;
      const RectFg, RectBg: TRect; Index: Integer; ActiveTab: Boolean);
    procedure btnAddPicturesClick(Sender: TObject);
    procedure btnMoreColorsClick(Sender: TObject);
    procedure btnMuchMoreClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  case TabControl1.Image [TabControl1.TabIndex] of
    0: TabControl1.Image [TabControl1.TabIndex] := 1;
    1: TabControl1.Image [TabControl1.TabIndex] := 0;
    2: TabControl1.Image [TabControl1.TabIndex] := 3;
    3: TabControl1.Image [TabControl1.TabIndex] := 2;
    4: TabControl1.Image [TabControl1.TabIndex] := 5;
    5: TabControl1.Image [TabControl1.TabIndex] := 4;
  else
    TabControl1.Image [TabControl1.TabIndex] := -1;
  end;
end;


procedure TForm1.TabControl1DrawTab(Sender: TObject; TabCanvas: TCanvas;
  const RectFg, RectBg: TRect; Index: Integer; ActiveTab: Boolean);
begin
  case Index of
    0: TabCanvas.Brush.Color := clRed;
    1: TabCanvas.Brush.Color := clYellow;
    2: TabCanvas.Brush.Color := clGreen;
  end;

  TabControl1.DefaultDrawTab (RectFg, RectBg, Index, ActiveTab);
end;


procedure TForm1.btnAddPicturesClick(Sender: TObject);
begin
  TabControl1.Images := ImageList1;
  TabControl1.Image[0] := 0;
  TabControl1.Image[1] := 2;
  TabControl1.Image[2] := 4;

  btnTurn.Visible := True;

  btnDemo.Caption := '&More Colors';
  btnDemo.OnClick := btnMoreColorsClick;
end;


procedure TForm1.btnMoreColorsClick(Sender: TObject);
begin
  TabControl1.OnDrawTab := TabControl1DrawTab;
  TabControl1.Invalidate;

  btnDemo.Caption := 'M&uch More Colors';
  btnDemo.OnClick := btnMuchMoreClick;
end;


procedure TForm1.btnMuchMoreClick(Sender: TObject);
begin
  TabControl1.SheetStyle := scSameAsTab;
  TabControl1.Invalidate;
  
  btnDemo.Enabled := False;
end;


end.
